Loading...
Searching...
No Matches
screening_types.cpp File Reference
`#include "gridfire/screening/screening_abstract.h"`
`#include "gridfire/screening/screening_types.h"`
`#include "gridfire/screening/screening_weak.h"`
`#include "gridfire/screening/screening_bare.h"`
`#include <memory>`
Include dependency graph for screening_types.cpp:

## Namespaces

namespace | gridfire
namespace | gridfire::screening

## Functions

std::unique_ptr< ScreeningModel > | gridfire::screening::selectScreeningModel (ScreeningType type)
| A factory function to select and create a screening model.